<?php

namespace Litecms\Ourportfolio;

use User;

class Ourportfolio
{
    /**
     * $ourportfolio object.
     */
    protected $ourportfolio;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Ourportfolio\Interfaces\OurportfolioRepositoryInterface $ourportfolio)
    {
        $this->ourportfolio = $ourportfolio;
    }

    /**
     * Returns count of ourportfolio.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.ourportfolio.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->ourportfolio->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\OurportfolioUserCriteria());
        }

        $ourportfolio = $this->ourportfolio->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('ourportfolio::' . $view, compact('ourportfolio'))->render();
    }
}
